{"openapi":"3.0.1","info":{"title":"Maritime Connectivity Platform Identity Registry API","description":"The MCP Identity Registry API can be used for managing entities in the Maritime Connectivity Platform.<br>Two versions of the API are available - one that requires authentication using OpenID Connect and one that requires authentication using a X.509 client certificate.<br>The OpenAPI descriptions for the two versions are available <a href=\"https://api.maritimeconnectivity.net/v3/api-docs/mcp-idreg-oidc\">here</a> and <a href=\"https://api-x509.maritimeconnectivity.net/v3/api-docs/mcp-idreg-x509\">here</a>.<br>Additionally, a SECOM based API is also available for which the OpenAPI description can be found <a href=\"https://api.maritimeconnectivity.net/v3/api-docs/mcp-idreg-secom\">here</a>.","contact":{"name":"Maritime Connectivity Platform","url":"https://maritimeconnectivity.net","email":"info@maritimeconnectivity.net"},"license":{"name":"Apache 2.0","url":"https://www.apache.org/licenses/LICENSE-2.0"},"version":"1.3.7"},"externalDocs":{"description":"MCP Identity Registry docs","url":"https://docs.maritimeconnectivity.net/en/latest/MIR.html"},"servers":[{"url":"https://api.maritimeconnectivity.net","description":"Generated server url"}],"paths":{"/oidc/api/org/{orgMrn}/vessel/{vesselMrn}/vesselImage":{"get":{"tags":["vessel-image-controller"],"description":"Get the image of a specified vessel","operationId":"getVesselImage","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"image/png":{"schema":{"type":"object"}},"application/json":{"schema":{"type":"object"}}}}}},"put":{"tags":["vessel-image-controller"],"description":"Create or update a vessel image using PUT","operationId":"updateVesselImagePut","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"image/png":{"schema":{"type":"string","format":"byte"}},"image/jpeg":{"schema":{"type":"string","format":"byte"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"post":{"tags":["vessel-image-controller"],"description":"Create a new vessel image using POST","operationId":"createVesselImagePost","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"image/png":{"schema":{"required":["image"],"type":"object","properties":{"image":{"type":"string","format":"binary"}}}},"image/jpeg":{"schema":{"required":["image"],"type":"object","properties":{"image":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["vessel-image-controller"],"description":"Delete the image of a specified vessel","operationId":"deleteVesselImage","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/vessel/{vesselMrn}/vesselImage":{"get":{"tags":["vessel-image-controller"],"description":"Get the image of a specified vessel","operationId":"getVesselImage_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"image/png":{"schema":{"type":"object"}},"application/json":{"schema":{"type":"object"}}}}}},"put":{"tags":["vessel-image-controller"],"description":"Create or update a vessel image using PUT","operationId":"updateVesselImagePut_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"image/png":{"schema":{"type":"string","format":"byte"}},"image/jpeg":{"schema":{"type":"string","format":"byte"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"post":{"tags":["vessel-image-controller"],"description":"Create a new vessel image using POST","operationId":"createVesselImagePost_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"image/png":{"schema":{"required":["image"],"type":"object","properties":{"image":{"type":"string","format":"binary"}}}},"image/jpeg":{"schema":{"required":["image"],"type":"object","properties":{"image":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["vessel-image-controller"],"description":"Delete the image of a specified vessel","operationId":"deleteVesselImage_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oidc/api/org/{orgMrn}/vessel/{vesselMrn}":{"get":{"tags":["vessel-controller"],"description":"Get a specific vessel identity","operationId":"getVessel","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Vessel"}}}}}},"put":{"tags":["vessel-controller"],"description":"Update a specific vessel identity","operationId":"updateVessel","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Vessel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["vessel-controller"],"description":"Delete a specific vessel identity","operationId":"deleteVessel","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/vessel/{vesselMrn}":{"get":{"tags":["vessel-controller"],"description":"Get a specific vessel identity","operationId":"getVessel_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Vessel"}}}}}},"put":{"tags":["vessel-controller"],"description":"Update a specific vessel identity","operationId":"updateVessel_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Vessel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["vessel-controller"],"description":"Delete a specific vessel identity","operationId":"deleteVessel_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/user/{userMrn}":{"get":{"tags":["user-controller"],"description":"Get a specific user identity","operationId":"getUser","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"userMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}}}},"put":{"tags":["user-controller"],"description":"Update a specific user identity","operationId":"updateUser","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"userMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["user-controller"],"description":"Delete a specific user identity","operationId":"deleteUser","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"userMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oidc/api/org/{orgMrn}/user/{userMrn}":{"get":{"tags":["user-controller"],"description":"Get a specific user identity","operationId":"getUser_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"userMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}}}},"put":{"tags":["user-controller"],"description":"Update a specific user identity","operationId":"updateUser_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"userMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["user-controller"],"description":"Delete a specific user identity","operationId":"deleteUser_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"userMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/service/{serviceMrn}/{version}":{"get":{"tags":["service-controller"],"description":"Get the service identity with the given MRN and version","operationId":"getServiceVersion","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Service"}}}}},"deprecated":true},"put":{"tags":["service-controller"],"description":"DEPRECATED: A service with a version cannot be updated until it has been migrated using the endpoint at /api/org/{orgMrn}/service/{serviceMrn}/{version}/migrate.\nThis endpoint will return an error if called.","operationId":"updateService","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Service"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}},"deprecated":true},"delete":{"tags":["service-controller"],"description":"Delete a specific service identity","operationId":"deleteService","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}},"deprecated":true}},"/oidc/api/org/{orgMrn}/service/{serviceMrn}/{version}":{"get":{"tags":["service-controller"],"description":"Get the service identity with the given MRN and version","operationId":"getServiceVersion_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Service"}}}}},"deprecated":true},"put":{"tags":["service-controller"],"description":"DEPRECATED: A service with a version cannot be updated until it has been migrated using the endpoint at /api/org/{orgMrn}/service/{serviceMrn}/{version}/migrate.\nThis endpoint will return an error if called.","operationId":"updateService_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Service"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}},"deprecated":true},"delete":{"tags":["service-controller"],"description":"Delete a specific service identity","operationId":"deleteService_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}},"deprecated":true}},"/x509/api/org/{orgMrn}/service/{serviceMrn}":{"get":{"tags":["service-controller"],"description":"Get the service identity with the given MRN. If a direct match cannot be found, the service that was last created and has the given MRN as a prefix of its MRN followed by an additional namespace will be returned.","operationId":"getService","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Service"}}}}}},"put":{"tags":["service-controller"],"description":"Update a specific service identity","operationId":"updateService_2","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Service"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["service-controller"],"description":"Delete a specific service identity","operationId":"deleteService_2","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oidc/api/org/{orgMrn}/service/{serviceMrn}":{"get":{"tags":["service-controller"],"description":"Get the service identity with the given MRN. If a direct match cannot be found, the service that was last created and has the given MRN as a prefix of its MRN followed by an additional namespace will be returned.","operationId":"getService_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Service"}}}}}},"put":{"tags":["service-controller"],"description":"Update a specific service identity","operationId":"updateService_3","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Service"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["service-controller"],"description":"Delete a specific service identity","operationId":"deleteService_3","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/role/{roleId}":{"get":{"tags":["role-controller"],"description":"Get a specific role mapping","operationId":"getRole","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"roleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Role"}}}}}},"put":{"tags":["role-controller"],"description":"Update a specific role mapping","operationId":"updateRole","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"roleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Role"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["role-controller"],"description":"Delete a specific role mapping","operationId":"deleteRole","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"roleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oidc/api/org/{orgMrn}/role/{roleId}":{"get":{"tags":["role-controller"],"description":"Get a specific role mapping","operationId":"getRole_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"roleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Role"}}}}}},"put":{"tags":["role-controller"],"description":"Update a specific role mapping","operationId":"updateRole_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"roleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Role"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["role-controller"],"description":"Delete a specific role mapping","operationId":"deleteRole_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"roleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oidc/api/org/{orgMrn}/mms/{mmsMrn}":{"get":{"tags":["mms-controller"],"description":"Get a specific MMS identity","operationId":"getMMS","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"mmsMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MMS"}}}}}},"put":{"tags":["mms-controller"],"description":"Update an existing MMS identity","operationId":"updateMMS","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"mmsMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MMS"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["mms-controller"],"description":"Delete an MMS identity","operationId":"deleteMMS","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"mmsMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/mms/{mmsMrn}":{"get":{"tags":["mms-controller"],"description":"Get a specific MMS identity","operationId":"getMMS_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"mmsMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MMS"}}}}}},"put":{"tags":["mms-controller"],"description":"Update an existing MMS identity","operationId":"updateMMS_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"mmsMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MMS"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["mms-controller"],"description":"Delete an MMS identity","operationId":"deleteMMS_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"mmsMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oidc/api/org/{orgMrn}/logo":{"get":{"tags":["logo-controller"],"description":"Get the logo of the given organization","operationId":"getLogo","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"image/png":{"schema":{"type":"object"}},"application/json":{"schema":{"type":"object"}}}}}},"put":{"tags":["logo-controller"],"description":"Update an existing organization logo or create it if none already exists","operationId":"updateLogoPut","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"image/png":{"schema":{"type":"string","format":"byte"}},"image/jpeg":{"schema":{"type":"string","format":"byte"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"post":{"tags":["logo-controller"],"description":"Create a new organization logo using POST","operationId":"createLogoPost","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"image/png":{"schema":{"required":["logo"],"type":"object","properties":{"logo":{"type":"string","format":"binary"}}}},"image/jpeg":{"schema":{"required":["logo"],"type":"object","properties":{"logo":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["logo-controller"],"description":"Delete an organization logo","operationId":"deleteLogo","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/logo":{"get":{"tags":["logo-controller"],"description":"Get the logo of the given organization","operationId":"getLogo_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"image/png":{"schema":{"type":"object"}},"application/json":{"schema":{"type":"object"}}}}}},"put":{"tags":["logo-controller"],"description":"Update an existing organization logo or create it if none already exists","operationId":"updateLogoPut_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"image/png":{"schema":{"type":"string","format":"byte"}},"image/jpeg":{"schema":{"type":"string","format":"byte"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"post":{"tags":["logo-controller"],"description":"Create a new organization logo using POST","operationId":"createLogoPost_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"image/png":{"schema":{"required":["logo"],"type":"object","properties":{"logo":{"type":"string","format":"binary"}}}},"image/jpeg":{"schema":{"required":["logo"],"type":"object","properties":{"logo":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["logo-controller"],"description":"Delete an organization logo","operationId":"deleteLogo_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oidc/api/org/{orgMrn}/device/{deviceMrn}":{"get":{"tags":["device-controller"],"description":"Get a specific device identity","operationId":"getDevice","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"deviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Device"}}}}}},"put":{"tags":["device-controller"],"description":"Update an existing device identity","operationId":"updateDevice","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"deviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Device"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["device-controller"],"description":"Delete a device identity","operationId":"deleteDevice","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"deviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/device/{deviceMrn}":{"get":{"tags":["device-controller"],"description":"Get a specific device identity","operationId":"getDevice_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"deviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Device"}}}}}},"put":{"tags":["device-controller"],"description":"Update an existing device identity","operationId":"updateDevice_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"deviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Device"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["device-controller"],"description":"Delete a device identity","operationId":"deleteDevice_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"deviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oidc/api/org/{orgMrn}/agent/{agentId}":{"get":{"tags":["agent-controller"],"description":"Get a specific agent","operationId":"getAgent","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"agentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}}}}},"put":{"tags":["agent-controller"],"description":"Update an existing agent","operationId":"updateAgent","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"agentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}}}}},"delete":{"tags":["agent-controller"],"description":"Deletes a given agent","operationId":"deleteAgent","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"agentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/agent/{agentId}":{"get":{"tags":["agent-controller"],"description":"Get a specific agent","operationId":"getAgent_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"agentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}}}}},"put":{"tags":["agent-controller"],"description":"Update an existing agent","operationId":"updateAgent_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"agentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}}}}},"delete":{"tags":["agent-controller"],"description":"Deletes a given agent","operationId":"deleteAgent_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"agentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}":{"get":{"tags":["organization-controller"],"description":"Get a specific organization based on MRN","operationId":"getOrganization_2","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Organization"}}}}}},"put":{"tags":["organization-controller"],"description":"Update a specific organization","operationId":"updateOrganization","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Organization"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["organization-controller"],"description":"Delete a specific organization","operationId":"deleteOrg","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oidc/api/org/{orgMrn}":{"get":{"tags":["organization-controller"],"description":"Get a specific organization based on MRN","operationId":"getOrganization_3","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Organization"}}}}}},"put":{"tags":["organization-controller"],"description":"Update a specific organization","operationId":"updateOrganization_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Organization"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["organization-controller"],"description":"Delete a specific organization","operationId":"deleteOrg_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/vessel/{vesselMrn}/certificate/{certId}/revoke":{"post":{"tags":["vessel-controller"],"description":"Revoke the vessel identity certificate with the given serial number","operationId":"revokeVesselCert","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"certId","in":"path","description":"The serial number of the certificate given in decimal","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateRevocation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/oidc/api/org/{orgMrn}/vessel/{vesselMrn}/certificate/{certId}/revoke":{"post":{"tags":["vessel-controller"],"description":"Revoke the vessel identity certificate with the given serial number","operationId":"revokeVesselCert_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"certId","in":"path","description":"The serial number of the certificate given in decimal","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateRevocation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/vessel/{vesselMrn}/certificate/issue-new/csr":{"post":{"tags":["vessel-controller"],"description":"Create a new vessel identity certificate using CSR","operationId":"newVesselCertFromCsr","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A PEM encoded PKCS#10 CSR","content":{"application/x-pem-file":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}},"application/pem-certificate-chain":{"schema":{"type":"string"}}}}}}},"/oidc/api/org/{orgMrn}/vessel/{vesselMrn}/certificate/issue-new/csr":{"post":{"tags":["vessel-controller"],"description":"Create a new vessel identity certificate using CSR","operationId":"newVesselCertFromCsr_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A PEM encoded PKCS#10 CSR","content":{"application/x-pem-file":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}},"application/pem-certificate-chain":{"schema":{"type":"string"}}}}}}},"/oidc/api/org/{orgMrn}/vessel":{"post":{"tags":["vessel-controller"],"description":"Create a new vessel identity","operationId":"createVessel","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Vessel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Vessel"}}}}}}},"/x509/api/org/{orgMrn}/vessel":{"post":{"tags":["vessel-controller"],"description":"Create a new vessel identity","operationId":"createVessel_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Vessel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Vessel"}}}}}}},"/x509/api/org/{orgMrn}/user/{userMrn}/certificate/{certId}/revoke":{"post":{"tags":["user-controller"],"description":"Revoke the service identity certificate with the given serial number","operationId":"revokeUserCert","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"userMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"certId","in":"path","description":"The serial number of the certificate given in decimal","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateRevocation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/oidc/api/org/{orgMrn}/user/{userMrn}/certificate/{certId}/revoke":{"post":{"tags":["user-controller"],"description":"Revoke the service identity certificate with the given serial number","operationId":"revokeUserCert_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"userMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"certId","in":"path","description":"The serial number of the certificate given in decimal","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateRevocation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/user/{userMrn}/certificate/issue-new/csr":{"post":{"tags":["user-controller"],"description":"Create a new user identity certificate using CSR","operationId":"newUserCertFromCsr","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"userMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A PEM encoded PKCS#10 CSR","content":{"application/x-pem-file":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}},"application/pem-certificate-chain":{"schema":{"type":"string"}}}}}}},"/oidc/api/org/{orgMrn}/user/{userMrn}/certificate/issue-new/csr":{"post":{"tags":["user-controller"],"description":"Create a new user identity certificate using CSR","operationId":"newUserCertFromCsr_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"userMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A PEM encoded PKCS#10 CSR","content":{"application/x-pem-file":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}},"application/pem-certificate-chain":{"schema":{"type":"string"}}}}}}},"/x509/api/org/{orgMrn}/user":{"post":{"tags":["user-controller"],"description":"Create a new user identity","operationId":"createUser","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}}}}},"/oidc/api/org/{orgMrn}/user":{"post":{"tags":["user-controller"],"description":"Create a new user identity","operationId":"createUser_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}}}}},"/oidc/api/org/{orgMrn}/service/{serviceMrn}/{version}/certificate/{certId}/revoke":{"post":{"tags":["service-controller"],"description":"Revoke the service identity certificate with the given serial number","operationId":"revokeServiceCert","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}},{"name":"certId","in":"path","description":"The serial number of the certificate given in decimal","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateRevocation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}},"deprecated":true}},"/x509/api/org/{orgMrn}/service/{serviceMrn}/{version}/certificate/{certId}/revoke":{"post":{"tags":["service-controller"],"description":"Revoke the service identity certificate with the given serial number","operationId":"revokeServiceCert_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}},{"name":"certId","in":"path","description":"The serial number of the certificate given in decimal","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateRevocation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}},"deprecated":true}},"/oidc/api/org/{orgMrn}/service/{serviceMrn}/{version}/certificate/issue-new/csr":{"post":{"tags":["service-controller"],"description":"DEPRECATED: Certificates cannot be issued for a service with a version until it has been migrated using the the endpoint at /api/org/{orgMrn}/service/{serviceMrn}/{version}/migrate.\nThis endpoint will return an error if called.","operationId":"newServiceCertFromCsr","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A PEM encoded PKCS#10 CSR","content":{"application/x-pem-file":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}},"application/pem-certificate-chain":{"schema":{"type":"string"}}}}},"deprecated":true}},"/x509/api/org/{orgMrn}/service/{serviceMrn}/{version}/certificate/issue-new/csr":{"post":{"tags":["service-controller"],"description":"DEPRECATED: Certificates cannot be issued for a service with a version until it has been migrated using the the endpoint at /api/org/{orgMrn}/service/{serviceMrn}/{version}/migrate.\nThis endpoint will return an error if called.","operationId":"newServiceCertFromCsr_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A PEM encoded PKCS#10 CSR","content":{"application/x-pem-file":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}},"application/pem-certificate-chain":{"schema":{"type":"string"}}}}},"deprecated":true}},"/oidc/api/org/{orgMrn}/service/{serviceMrn}/certificate/{certId}/revoke":{"post":{"tags":["service-controller"],"description":"Revoke the service identity certificate with the given serial number","operationId":"revokeServiceCert_2","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"certId","in":"path","description":"The serial number of the certificate given in decimal","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateRevocation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/service/{serviceMrn}/certificate/{certId}/revoke":{"post":{"tags":["service-controller"],"description":"Revoke the service identity certificate with the given serial number","operationId":"revokeServiceCert_3","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"certId","in":"path","description":"The serial number of the certificate given in decimal","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateRevocation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/service/{serviceMrn}/certificate/issue-new/csr":{"post":{"tags":["service-controller"],"description":"Create a new service identity certificate using CSR","operationId":"newServiceCertFromCsr_2","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A PEM encoded PKCS#10 CSR","content":{"application/x-pem-file":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}},"application/pem-certificate-chain":{"schema":{"type":"string"}}}}}}},"/oidc/api/org/{orgMrn}/service/{serviceMrn}/certificate/issue-new/csr":{"post":{"tags":["service-controller"],"description":"Create a new service identity certificate using CSR","operationId":"newServiceCertFromCsr_3","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A PEM encoded PKCS#10 CSR","content":{"application/x-pem-file":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}},"application/pem-certificate-chain":{"schema":{"type":"string"}}}}}}},"/oidc/api/org/{orgMrn}/service":{"post":{"tags":["service-controller"],"description":"Create a new service identity","operationId":"createService","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Service"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Service"}}}}}}},"/x509/api/org/{orgMrn}/service":{"post":{"tags":["service-controller"],"description":"Create a new service identity","operationId":"createService_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Service"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Service"}}}}}}},"/x509/api/org/{orgMrn}/role":{"post":{"tags":["role-controller"],"description":"Create a new role mapping","operationId":"createRole","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Role"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Role"}}}}}}},"/oidc/api/org/{orgMrn}/role":{"post":{"tags":["role-controller"],"description":"Create a new role mapping","operationId":"createRole_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Role"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Role"}}}}}}},"/x509/api/org/{orgMrn}/mms/{mmsMrn}/certificate/{certId}/revoke":{"post":{"tags":["mms-controller"],"description":"Revoke the MMS certificate with the given serial number","operationId":"revokeMMSCert","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"mmsMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"certId","in":"path","description":"The serial number of the certificate given in decimal","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateRevocation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/oidc/api/org/{orgMrn}/mms/{mmsMrn}/certificate/{certId}/revoke":{"post":{"tags":["mms-controller"],"description":"Revoke the MMS certificate with the given serial number","operationId":"revokeMMSCert_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"mmsMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"certId","in":"path","description":"The serial number of the certificate given in decimal","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateRevocation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/oidc/api/org/{orgMrn}/mms/{mmsMrn}/certificate/issue-new/csr":{"post":{"tags":["mms-controller"],"description":"Create a new MMS certificate using CSR","operationId":"newMMSCertFromCsr","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"mmsMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A PEM encoded PKCS#10 CSR","content":{"application/x-pem-file":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}},"application/pem-certificate-chain":{"schema":{"type":"string"}}}}}}},"/x509/api/org/{orgMrn}/mms/{mmsMrn}/certificate/issue-new/csr":{"post":{"tags":["mms-controller"],"description":"Create a new MMS certificate using CSR","operationId":"newMMSCertFromCsr_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"mmsMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A PEM encoded PKCS#10 CSR","content":{"application/x-pem-file":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}},"application/pem-certificate-chain":{"schema":{"type":"string"}}}}}}},"/oidc/api/org/{orgMrn}/mms":{"post":{"tags":["mms-controller"],"description":"Creates a new MMS","operationId":"createMMS","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MMS"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MMS"}}}}}}},"/x509/api/org/{orgMrn}/mms":{"post":{"tags":["mms-controller"],"description":"Creates a new MMS","operationId":"createMMS_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MMS"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MMS"}}}}}}},"/oidc/api/org/{orgMrn}/device/{deviceMrn}/certificate/{certId}/revoke":{"post":{"tags":["device-controller"],"description":"Revoke the device certificate with the given serial number","operationId":"revokeDeviceCert","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"deviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"certId","in":"path","description":"The serial number of the certificate given in decimal","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateRevocation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/device/{deviceMrn}/certificate/{certId}/revoke":{"post":{"tags":["device-controller"],"description":"Revoke the device certificate with the given serial number","operationId":"revokeDeviceCert_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"deviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"certId","in":"path","description":"The serial number of the certificate given in decimal","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateRevocation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/device/{deviceMrn}/certificate/issue-new/csr":{"post":{"tags":["device-controller"],"description":"Create a new device certificate using CSR","operationId":"newDeviceCertFromCsr","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"deviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A PEM encoded PKCS#10 CSR","content":{"application/x-pem-file":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}},"application/pem-certificate-chain":{"schema":{"type":"string"}}}}}}},"/oidc/api/org/{orgMrn}/device/{deviceMrn}/certificate/issue-new/csr":{"post":{"tags":["device-controller"],"description":"Create a new device certificate using CSR","operationId":"newDeviceCertFromCsr_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"deviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A PEM encoded PKCS#10 CSR","content":{"application/x-pem-file":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}},"application/pem-certificate-chain":{"schema":{"type":"string"}}}}}}},"/oidc/api/org/{orgMrn}/device":{"post":{"tags":["device-controller"],"description":"Create a new device identity","operationId":"createDevice","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Device"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Device"}}}}}}},"/x509/api/org/{orgMrn}/device":{"post":{"tags":["device-controller"],"description":"Create a new device identity","operationId":"createDevice_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Device"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Device"}}}}}}},"/oidc/api/org/{orgMrn}/certificate/{certId}/revoke":{"post":{"tags":["organization-controller"],"description":"Revoke the organization certificate with the given serial number","operationId":"revokeOrgCert","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"certId","in":"path","description":"The serial number of the certificate given in decimal","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateRevocation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/certificate/{certId}/revoke":{"post":{"tags":["organization-controller"],"description":"Revoke the organization certificate with the given serial number","operationId":"revokeOrgCert_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"certId","in":"path","description":"The serial number of the certificate given in decimal","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CertificateRevocation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/oidc/api/org/{orgMrn}/certificate/issue-new/csr":{"post":{"tags":["organization-controller"],"description":"Create a new organization certificate using CSR","operationId":"newOrgCertFromCsr","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A PEM encoded PKCS#10 CSR","content":{"application/x-pem-file":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}},"application/pem-certificate-chain":{"schema":{"type":"string"}}}}}}},"/x509/api/org/{orgMrn}/certificate/issue-new/csr":{"post":{"tags":["organization-controller"],"description":"Create a new organization certificate using CSR","operationId":"newOrgCertFromCsr_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A PEM encoded PKCS#10 CSR","content":{"application/x-pem-file":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}},"application/pem-certificate-chain":{"schema":{"type":"string"}}}}}}},"/oidc/api/org/{orgMrn}/agent":{"post":{"tags":["agent-controller"],"description":"Creates a new agent","operationId":"createAgent","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}}}}}},"/x509/api/org/{orgMrn}/agent":{"post":{"tags":["agent-controller"],"description":"Creates a new agent","operationId":"createAgent_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}}}}}},"/oidc/api/org/apply":{"post":{"tags":["organization-controller"],"description":"Apply for getting your organization registered","operationId":"applyOrganization","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Organization"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Organization"}}}}}}},"/x509/api/org/apply":{"post":{"tags":["organization-controller"],"description":"Apply for getting your organization registered","operationId":"applyOrganization_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Organization"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Organization"}}}}}}},"/x509/api/certificates/ocsp/{caAlias}":{"post":{"tags":["certificate-controller"],"description":"POST mapping for OCSP","operationId":"postOCSP","parameters":[{"name":"caAlias","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"OCSP request that is encoded as defined in RFC 6960 Appendix A.1","content":{"application/ocsp-request":{"schema":{"type":"string","format":"byte"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/ocsp-response":{"schema":{"type":"string","format":"byte"}}}}}}},"/oidc/api/certificates/ocsp/{caAlias}":{"post":{"tags":["certificate-controller"],"description":"POST mapping for OCSP","operationId":"postOCSP_1","parameters":[{"name":"caAlias","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"OCSP request that is encoded as defined in RFC 6960 Appendix A.1","content":{"application/ocsp-request":{"schema":{"type":"string","format":"byte"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/ocsp-response":{"schema":{"type":"string","format":"byte"}}}}}}},"/oidc/api/org/{orgMrn}/service/{serviceMrn}/{version}/migrate":{"patch":{"tags":["service-controller"],"description":"Update the MRN of a Service entity that currently has an instance version registered and delete the instance version entirely. Note that if the new MRN is different from the current MRN of the Service this operation will revoke all certificates that are currently associated with the Service entity. Also note that the result of performing this operation cannot be reverted.","operationId":"migrateServiceMrn","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServicePatch"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/x509/api/org/{orgMrn}/service/{serviceMrn}/{version}/migrate":{"patch":{"tags":["service-controller"],"description":"Update the MRN of a Service entity that currently has an instance version registered and delete the instance version entirely. Note that if the new MRN is different from the current MRN of the Service this operation will revoke all certificates that are currently associated with the Service entity. Also note that the result of performing this operation cannot be reverted.","operationId":"migrateServiceMrn_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServicePatch"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/secom/v1/publicKey/{parameter}":{"get":{"tags":["secom-controller"],"description":"Returns 0 or more certificates (public keys). Based on the REST definition of the GetPublicKey interface definition from IEC 63173-2:2022 (SECOM). The input parameter can either be the serial number or base64 encoded SHA-256 thumbprint of the wanted certificate. It is also possible to provide the MRN of an MCP entity to get the list of all active certificates of that entity.","operationId":"getPublicKey","parameters":[{"name":"parameter","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/x-pem-file":{"schema":{"type":"string"}}}}}}},"/x509/api/orgs":{"get":{"tags":["organization-controller"],"description":"Get a page of registered organizations","operationId":"getOrganization","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageOrganization"}}}}}}},"/oidc/api/orgs":{"get":{"tags":["organization-controller"],"description":"Get a page of registered organizations","operationId":"getOrganization_1","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageOrganization"}}}}}}},"/x509/api/org/{orgMrn}/vessels":{"get":{"tags":["vessel-controller"],"description":"Get a page of vessel identities of the specified organization","operationId":"getOrganizationVessels","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageVessel"}}}}}}},"/oidc/api/org/{orgMrn}/vessels":{"get":{"tags":["vessel-controller"],"description":"Get a page of vessel identities of the specified organization","operationId":"getOrganizationVessels_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageVessel"}}}}}}},"/oidc/api/org/{orgMrn}/vessel/{vesselMrn}/services":{"get":{"tags":["vessel-controller"],"description":"Get the set of service identities that are linked to the specified vessel identity","operationId":"getVesselServices","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/Service"}}}}}}}},"/x509/api/org/{orgMrn}/vessel/{vesselMrn}/services":{"get":{"tags":["vessel-controller"],"description":"Get the set of service identities that are linked to the specified vessel identity","operationId":"getVesselServices_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/Service"}}}}}}}},"/oidc/api/org/{orgMrn}/vessel/{vesselMrn}/certificate/{serialNumber}":{"get":{"tags":["vessel-controller"],"description":"Get the vessel identity certificate with the given serial number","operationId":"getVesselCert","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serialNumber","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Certificate"}}}}}}},"/x509/api/org/{orgMrn}/vessel/{vesselMrn}/certificate/{serialNumber}":{"get":{"tags":["vessel-controller"],"description":"Get the vessel identity certificate with the given serial number","operationId":"getVesselCert_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"vesselMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serialNumber","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Certificate"}}}}}}},"/x509/api/org/{orgMrn}/users":{"get":{"tags":["user-controller"],"description":"Get a page of user identities of the specified organization","operationId":"getOrganizationUsers","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageUser"}}}}}}},"/oidc/api/org/{orgMrn}/users":{"get":{"tags":["user-controller"],"description":"Get a page of user identities of the specified organization","operationId":"getOrganizationUsers_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageUser"}}}}}}},"/oidc/api/org/{orgMrn}/user/{userMrn}/certificate/{serialNumber}":{"get":{"tags":["user-controller"],"description":"Get the user identity certificate with the given serial number","operationId":"getUserCert","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"userMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serialNumber","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Certificate"}}}}}}},"/x509/api/org/{orgMrn}/user/{userMrn}/certificate/{serialNumber}":{"get":{"tags":["user-controller"],"description":"Get the user identity certificate with the given serial number","operationId":"getUserCert_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"userMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serialNumber","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Certificate"}}}}}}},"/oidc/api/org/{orgMrn}/services/{serviceMrn}":{"get":{"tags":["service-controller"],"description":"Get a page of service identities with a given MRN prefix","operationId":"getServices","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageService"}}}}}}},"/x509/api/org/{orgMrn}/services/{serviceMrn}":{"get":{"tags":["service-controller"],"description":"Get a page of service identities with a given MRN prefix","operationId":"getServices_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageService"}}}}}}},"/oidc/api/org/{orgMrn}/services":{"get":{"tags":["service-controller"],"description":"Get a page of service identities of the specified organization","operationId":"getOrganizationServices","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageService"}}}}}}},"/x509/api/org/{orgMrn}/services":{"get":{"tags":["service-controller"],"description":"Get a page of service identities of the specified organization","operationId":"getOrganizationServices_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageService"}}}}}}},"/x509/api/org/{orgMrn}/service/{serviceMrn}/{version}/keycloakjson":{"get":{"tags":["service-controller"],"description":"Get the Keycloak JSON configuration for the specified service if it exists","operationId":"getServiceKeycloakJson","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}},"deprecated":true}},"/oidc/api/org/{orgMrn}/service/{serviceMrn}/{version}/keycloakjson":{"get":{"tags":["service-controller"],"description":"Get the Keycloak JSON configuration for the specified service if it exists","operationId":"getServiceKeycloakJson_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}},"deprecated":true}},"/oidc/api/org/{orgMrn}/service/{serviceMrn}/{version}/jbossxml":{"get":{"tags":["service-controller"],"description":"Get the Keycloak JBoss XML configuration for the specified service if it exists","operationId":"getServiceJbossXml","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}},"deprecated":true}},"/x509/api/org/{orgMrn}/service/{serviceMrn}/{version}/jbossxml":{"get":{"tags":["service-controller"],"description":"Get the Keycloak JBoss XML configuration for the specified service if it exists","operationId":"getServiceJbossXml_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}},"deprecated":true}},"/x509/api/org/{orgMrn}/service/{serviceMrn}/{version}/certificate/{serialNumber}":{"get":{"tags":["service-controller"],"description":"Get the service identity certificate with the given serial number","operationId":"getServiceCert","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}},{"name":"serialNumber","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Certificate"}}}}},"deprecated":true}},"/oidc/api/org/{orgMrn}/service/{serviceMrn}/{version}/certificate/{serialNumber}":{"get":{"tags":["service-controller"],"description":"Get the service identity certificate with the given serial number","operationId":"getServiceCert_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}},{"name":"serialNumber","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Certificate"}}}}},"deprecated":true}},"/oidc/api/org/{orgMrn}/service/{serviceMrn}/keycloakjson":{"get":{"tags":["service-controller"],"description":"Get the Keycloak JSON configuration for the specified service if it exists","operationId":"getServiceKeycloakJson_2","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/x509/api/org/{orgMrn}/service/{serviceMrn}/keycloakjson":{"get":{"tags":["service-controller"],"description":"Get the Keycloak JSON configuration for the specified service if it exists","operationId":"getServiceKeycloakJson_3","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/oidc/api/org/{orgMrn}/service/{serviceMrn}/jbossxml":{"get":{"tags":["service-controller"],"description":"Get the Keycloak JBoss XML configuration for the specified service if it exists","operationId":"getServiceJbossXml_2","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/x509/api/org/{orgMrn}/service/{serviceMrn}/jbossxml":{"get":{"tags":["service-controller"],"description":"Get the Keycloak JBoss XML configuration for the specified service if it exists","operationId":"getServiceJbossXml_3","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/oidc/api/org/{orgMrn}/service/{serviceMrn}/certificate/{serialNumber}":{"get":{"tags":["service-controller"],"description":"Get the service identity certificate with the given serial number","operationId":"getServiceCert_2","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serialNumber","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Certificate"}}}}}}},"/x509/api/org/{orgMrn}/service/{serviceMrn}/certificate/{serialNumber}":{"get":{"tags":["service-controller"],"description":"Get the service identity certificate with the given serial number","operationId":"getServiceCert_3","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serialNumber","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Certificate"}}}}}}},"/oidc/api/org/{orgMrn}/roles":{"get":{"tags":["role-controller"],"description":"Get the list of role mappings for the specified organization","operationId":"getRoles","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Role"}}}}}}}},"/x509/api/org/{orgMrn}/roles":{"get":{"tags":["role-controller"],"description":"Get the list of role mappings for the specified organization","operationId":"getRoles_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Role"}}}}}}}},"/oidc/api/org/{orgMrn}/role/myroles":{"get":{"tags":["role-controller"],"description":"Get the list of roles of the requesting user","operationId":"getMyRole","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/x509/api/org/{orgMrn}/role/myroles":{"get":{"tags":["role-controller"],"description":"Get the list of roles of the requesting user","operationId":"getMyRole_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/x509/api/org/{orgMrn}/role/available-roles":{"get":{"tags":["role-controller"],"description":"Get the list of available roles","operationId":"getAvailableRoles","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/oidc/api/org/{orgMrn}/role/available-roles":{"get":{"tags":["role-controller"],"description":"Get the list of available roles","operationId":"getAvailableRoles_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/oidc/api/org/{orgMrn}/mmses":{"get":{"tags":["mms-controller"],"description":"Get a page of MMS identities belonging to the given organization","operationId":"getOrganizationMMSes","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageMMS"}}}}}}},"/x509/api/org/{orgMrn}/mmses":{"get":{"tags":["mms-controller"],"description":"Get a page of MMS identities belonging to the given organization","operationId":"getOrganizationMMSes_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageMMS"}}}}}}},"/x509/api/org/{orgMrn}/mms/{mmsMrn}/certificate/{serialNumber}":{"get":{"tags":["mms-controller"],"description":"Get the certificate of the specified MMS with the specified serial number","operationId":"getMMSCert","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"mmsMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serialNumber","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Certificate"}}}}}}},"/oidc/api/org/{orgMrn}/mms/{mmsMrn}/certificate/{serialNumber}":{"get":{"tags":["mms-controller"],"description":"Get the certificate of the specified MMS with the specified serial number","operationId":"getMMSCert_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"mmsMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serialNumber","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Certificate"}}}}}}},"/oidc/api/org/{orgMrn}/devices":{"get":{"tags":["device-controller"],"description":"Get a page of device identities of the specified organization","operationId":"getOrganizationDevices","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageDevice"}}}}}}},"/x509/api/org/{orgMrn}/devices":{"get":{"tags":["device-controller"],"description":"Get a page of device identities of the specified organization","operationId":"getOrganizationDevices_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageDevice"}}}}}}},"/oidc/api/org/{orgMrn}/device/{deviceMrn}/certificate/{serialNumber}":{"get":{"tags":["device-controller"],"description":"Get the certificate of the specified device with the specified serial number","operationId":"getDeviceCert","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"deviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serialNumber","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Certificate"}}}}}}},"/x509/api/org/{orgMrn}/device/{deviceMrn}/certificate/{serialNumber}":{"get":{"tags":["device-controller"],"description":"Get the certificate of the specified device with the specified serial number","operationId":"getDeviceCert_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"deviceMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serialNumber","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Certificate"}}}}}}},"/x509/api/org/{orgMrn}/certificate/{serialNumber}":{"get":{"tags":["organization-controller"],"description":"Get the organization certificate with the given serial number","operationId":"getOrgCert","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serialNumber","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Certificate"}}}}}}},"/oidc/api/org/{orgMrn}/certificate/{serialNumber}":{"get":{"tags":["organization-controller"],"description":"Get the organization certificate with the given serial number","operationId":"getOrgCert_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"serialNumber","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Certificate"}}}}}}},"/oidc/api/org/{orgMrn}/approve":{"get":{"tags":["organization-controller"],"description":"Approve the given applying organization","operationId":"approveOrganization","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Organization"}}}}}}},"/x509/api/org/{orgMrn}/approve":{"get":{"tags":["organization-controller"],"description":"Approve the given applying organization","operationId":"approveOrganization_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Organization"}}}}}}},"/x509/api/org/{orgMrn}/agents":{"get":{"tags":["agent-controller"],"description":"Returns a page of agents for the given organization","operationId":"getAgents","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageAgent"}}}}}}},"/oidc/api/org/{orgMrn}/agents":{"get":{"tags":["agent-controller"],"description":"Returns a page of agents for the given organization","operationId":"getAgents_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageAgent"}}}}}}},"/x509/api/org/{orgMrn}/acting-on-behalf-of":{"get":{"tags":["agent-controller"],"description":"Returns the list of all organization that can be acted on behalf of","operationId":"getActingOnBehalfOf","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageAgent"}}}}}}},"/oidc/api/org/{orgMrn}/acting-on-behalf-of":{"get":{"tags":["agent-controller"],"description":"Returns the list of all organization that can be acted on behalf of","operationId":"getActingOnBehalfOf_1","parameters":[{"name":"orgMrn","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageAgent"}}}}}}},"/oidc/api/org/unapprovedorgs":{"get":{"tags":["organization-controller"],"description":"Get a page of organizations that have not yet been approved","operationId":"getUnapprovedOrganizations","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageOrganization"}}}}}}},"/x509/api/org/unapprovedorgs":{"get":{"tags":["organization-controller"],"description":"Get a page of organizations that have not yet been approved","operationId":"getUnapprovedOrganizations_1","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageOrganization"}}}}}}},"/x509/api/org/id/{orgId}":{"get":{"tags":["organization-controller"],"description":"Get a specific organization based on ID","operation
[...]
